---
search:
  tags:
    - Merchant Webhooks
    - GET
seo:
  description: >-
    Read webhook configuration. Reference for the GET /v1/merchants/{id}/webhook
    endpoint in the agentsub Gateway API.
sidebar:
  label: Read webhook configuration
  badge: GET
title: Read webhook configuration
type: openapi-operation
---
`GET /v1/merchants/{id}/webhook`

**Responses**

- `200` — Successful response
- `401` — \`unauthorized\` problem; live 401s advertise \`WWW-Authenticate: Bearer resource\_metadata=...\`
- `403` — Identity, ownership, scope or policy denied (\`human\_required\`, \`owner\_claim\_required\`, \`scope\_required\`, \`FROZEN\`, \`CAP\_EXCEEDED\`, \`SCOPE\_FORBIDDEN\`)
- `503` — Runtime or provider configuration unavailable (\`runtime\_configuration\_required\`, \`signing\_configuration\_required\`, \`runtime\_unavailable\`, \`workspace\_unavailable\`, \`provider\_configuration\_required\`)

Response example, 200:

```json
{
  "configuration": {
    "configured": true,
    "enabled": true,
    "queueConfigured": true,
    "merchantId": "string",
    "url": "http://example.com",
    "createdAt": 0,
    "updatedAt": 0
  }
}
```
